package webrtcconnection

type Options struct {
	STUNServers []string `yaml:"stun_servers"`
	Video       struct {
		Height int `yaml:"height"`
		Width  int `yaml:"width"`
		BPS    int `yaml:"bps"`
	} `yaml:"video"`
}

func ExampleOptions() *Options {
	options := &Options{
		STUNServers: []string{
			"stun:stun.l.google.com:19302",
			"stun:wetofu.me:3478",
		},
	}
	options.Video.BPS = 500_000
	options.Video.Height = 768
	options.Video.Width = 1024
	return options
}
